(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12188,        336]
NotebookOptionsPosition[     11248,        298]
NotebookOutlinePosition[     11594,        313]
CellTagsIndexPosition[     11551,        310]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Double Antisymmetry Space Groups\
\>", "Title",
 CellChangeTimes->{{3.567773407807912*^9, 3.5677734156326942`*^9}}],

Cell["\<\
Brian K. VanLeeuwen, V. Gopalan, and D.B. Litvin
1/21/2013\
\>", "Subsubtitle",
 CellChangeTimes->{3.567773830385501*^9}],

Cell["\<\
This notebook file must be saved in the same directory as \
\[OpenCurlyDoubleQuote]DASGMachineReadable.zip\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.567773931819501*^9, 3.567773986727501*^9}}],

Cell[CellGroupData[{

Cell["Initialization", "Section",
 CellChangeTimes->{{3.567774096576501*^9, 3.5677741061915007`*^9}}],

Cell[CellGroupData[{

Cell["Import contents of DASGMachineReadable.zip file", "Subsection",
 CellChangeTimes->{{3.567773881550501*^9, 3.5677739040925007`*^9}, {
  3.567773952857501*^9, 3.567773962041501*^9}, {3.567773992327501*^9, 
  3.567773993015501*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Which", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FileExistsQ", "[", "\"\<DASGMachineReadable.txt\>\"", "]"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"import", "=", 
      RowBox[{"Import", "[", 
       RowBox[{"\"\<DASGMachineReadable.txt\>\"", ",", "\"\<Table\>\""}], 
       "]"}]}], ";"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FileExistsQ", "[", "\"\<DASGMachineReadable.zip\>\"", "]"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"import", "=", 
      RowBox[{"Import", "[", 
       RowBox[{"\"\<DASGMachineReadable.zip\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"\"\<DASGMachineReadable.txt\>\"", ",", "\"\<Table\>\""}], 
         "}"}]}], "]"}]}], ";"}], ",", "\[IndentingNewLine]", "True", ",", 
    " ", 
    RowBox[{
    "Print", "[", 
     "\"\<DASGMachineReadable.zip or DASGMachineReadable.txt must be in the \
same directory as this notebook file\>\"", "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"import", "=", 
   RowBox[{"ToExpression", "[", "import", "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.566666899959778*^9, {3.566666939809819*^9, 3.5666669457280436`*^9}, {
   3.56666699375863*^9, 3.5666670214603167`*^9}, 3.5677740407905006`*^9, {
   3.568122600273513*^9, 3.5681226130405126`*^9}, {3.5681277525561*^9, 
   3.5681277600761*^9}, {3.5681279849261*^9, 3.5681279888410997`*^9}, {
   3.5681281430795345`*^9, 3.568128144375664*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"all38290GeneratedGroups", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Partition", "[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "3", "]"}], "]"}], ",", "4"}], "]"}], ",", "4"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "4", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Partition", "[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "5", "]"}], "]"}], ",", "4"}], "]"}], ",", "4"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Partition", "[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "6", "]"}], "]"}], ",", "4"}], "]"}], ",", "4"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Partition", "[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "7", "]"}], "]"}], ",", "4"}], "]"}], ",", "4"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Partition", "[", 
        RowBox[{
         RowBox[{"Partition", "[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "8", "]"}], "]"}], ",", "4"}], "]"}], ",", "4"}], 
        "]"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Partition", "[", 
     RowBox[{"import", ",", "8"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"all17803DASGs", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"all38290GeneratedGroups", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[Equal]", "1"}], "&"}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.566666899959778*^9, {3.566666939809819*^9, 3.5666669457280436`*^9}, {
   3.56666699375863*^9, 3.5666670214603167`*^9}, 3.5677740407905006`*^9, {
   3.568122600273513*^9, 3.5681226130405126`*^9}, {3.5681277525561*^9, 
   3.5681277600761*^9}, {3.5681279849261*^9, 3.5681279888410997`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "Section",
 CellChangeTimes->{{3.567774096576501*^9, 3.5677741061915007`*^9}, {
   3.568128285066732*^9, 3.5681282874669724`*^9}, 3.568128366845909*^9}],

Cell[CellGroupData[{

Cell["\<\
Randomly chosen double antisymmetry space group from all 38,290 generated \
groups\
\>", "Subsection",
 CellChangeTimes->{{3.567773881550501*^9, 3.5677739040925007`*^9}, {
  3.567773952857501*^9, 3.567773962041501*^9}, {3.567773992327501*^9, 
  3.567773993015501*^9}, {3.568128378686093*^9, 3.5681284329125147`*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "4", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "6", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "7", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "8", "]"}], "]"}]}]}], "}"}], "&"}], "[", 
    "\[IndentingNewLine]", 
    RowBox[{"RandomChoice", "[", "all38290GeneratedGroups", "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Number, Setting, Category\>\"", ",", 
        "\"\<Q#, \!\(\*SubscriptBox[\(H\), \(0\)]\)#, \
\!\(\*SubscriptBox[\(K\), \(0\)]\)#, \!\(\*SubscriptBox[\(L\), \(0\)]\)#, \
\!\(\*SubscriptBox[\(R\), \(0\)]\)#\>\"", ",", 
        "\"\<\!\(\*SubscriptBox[\(T\), \(Q\)]\), \!\(\*SubscriptBox[\(T\), \
\(H\)]\), \!\(\*SubscriptBox[\(T\), \(K\)]\), \!\(\*SubscriptBox[\(T\), \
\(L\)]\), \!\(\*SubscriptBox[\(T\), \(R\)]\)\>\"", ",", 
        "\"\<Translation colors\>\"", ",", "\"\<Colorless\>\"", ",", 
        "\"\<Primed\>\"", ",", "\"\<Starred\>\"", ",", 
        "\"\<Prime-starred\>\""}], "}"}], ",", "None"}], "}"}]}], ",", 
   RowBox[{"TableSpacing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"5", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5666675628113165`*^9, 3.5666676399263167`*^9}, 
   3.568119660016755*^9, {3.5681225593785124`*^9, 3.568122578608513*^9}, {
   3.568128363647589*^9, 3.5681283643026547`*^9}, {3.5683878642900457`*^9, 
   3.5683878665462713`*^9}, {3.5683878974443607`*^9, 
   3.5683880965552697`*^9}, {3.5683882065922723`*^9, 3.5683882264482574`*^9}, 
   3.5683887631835*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Randomly chosen double antisymmetry space group from all 17,803 double \
antisymmetry space group type representatives\
\>", "Subsection",
 CellChangeTimes->{{3.567773881550501*^9, 3.5677739040925007`*^9}, {
  3.567773952857501*^9, 3.567773962041501*^9}, {3.567773992327501*^9, 
  3.567773993015501*^9}, {3.568128378686093*^9, 3.56812849406663*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", "4", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "6", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "7", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"MatrixForm", "/@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "8", "]"}], "]"}]}]}], "}"}], "&"}], "[", 
    RowBox[{"RandomChoice", "[", "all17803DASGs", "]"}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Number, Setting, Category\>\"", ",", 
        "\"\<Q#, \!\(\*SubscriptBox[\(H\), \(0\)]\)#, \
\!\(\*SubscriptBox[\(K\), \(0\)]\)#, \!\(\*SubscriptBox[\(L\), \(0\)]\)#, \
\!\(\*SubscriptBox[\(R\), \(0\)]\)#\>\"", ",", 
        "\"\<\!\(\*SubscriptBox[\(T\), \(Q\)]\), \!\(\*SubscriptBox[\(T\), \
\(H\)]\), \!\(\*SubscriptBox[\(T\), \(K\)]\), \!\(\*SubscriptBox[\(T\), \
\(L\)]\), \!\(\*SubscriptBox[\(T\), \(R\)]\)\>\"", ",", 
        "\"\<Translation colors\>\"", ",", "\"\<Colorless\>\"", ",", 
        "\"\<Primed\>\"", ",", "\"\<Starred\>\"", ",", 
        "\"\<Prime-starred\>\""}], "}"}], ",", "None"}], "}"}]}], ",", 
   RowBox[{"TableSpacing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"5", ",", "2"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5666675628113165`*^9, 3.5666676399263167`*^9}, 
   3.568119660016755*^9, {3.5681225593785124`*^9, 3.568122578608513*^9}, {
   3.568128363647589*^9, 3.5681283643026547`*^9}, 3.568128452674491*^9, {
   3.5681285265028734`*^9, 3.568128542165439*^9}, 3.5683882337924995`*^9, {
   3.5683887321604996`*^9, 3.5683887467834997`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1440, 917},
WindowMargins->{{139, Automatic}, {0, Automatic}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 125, 3, 90, "Title"],
Cell[707, 27, 131, 4, 47, "Subsubtitle"],
Cell[841, 33, 221, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[1087, 41, 101, 1, 79, "Section"],
Cell[CellGroupData[{
Cell[1213, 46, 235, 3, 43, "Subsection"],
Cell[1451, 51, 1618, 38, 172, "Input",
 InitializationCell->True],
Cell[3072, 91, 2415, 65, 192, "Input",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[5536, 162, 169, 2, 49, "Section"],
Cell[CellGroupData[{
Cell[5730, 168, 326, 6, 43, "Subsection"],
Cell[6059, 176, 2409, 53, 232, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8505, 234, 359, 6, 43, "Subsection"],
Cell[8867, 242, 2341, 51, 212, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
